| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
wxTextAttrDimensions Class Reference
Rich Text

`#include <wx/richtext/richtextbuffer.h>`

## Detailed Description

A class for left, right, top and bottom dimensions.

##

Library: wxRichText
Category: Rich Text

See Also
  wxRichTextAttr, wxRichTextCtrl, wxTextAttrDimension

## Public Member Functions

| wxTextAttrDimensions ()
| Default constructor.
void | Reset ()
| Resets the value and flags for all dimensions.
bool | operator== (const wxTextAttrDimensions &dims) const
| Equality operator.
bool | EqPartial (const wxTextAttrDimensions &dims, bool weakTest=true) const
| Partial equality test.
bool | Apply (const wxTextAttrDimensions &dims, const wxTextAttrDimensions *compareWith=NULL)
| Apply to 'this', but not if the same as compareWith.
void | CollectCommonAttributes (const wxTextAttrDimensions &attr, wxTextAttrDimensions &clashingAttr, wxTextAttrDimensions &absentAttr)
| Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.
bool | RemoveStyle (const wxTextAttrDimensions &attr)
| Remove specified attributes from this object.
const wxTextAttrDimension & | GetLeft () const
| Gets the left dimension.
wxTextAttrDimension & | GetLeft ()
const wxTextAttrDimension & | GetRight () const
| Gets the right dimension.
wxTextAttrDimension & | GetRight ()
const wxTextAttrDimension & | GetTop () const
| Gets the top dimension.
wxTextAttrDimension & | GetTop ()
const wxTextAttrDimension & | GetBottom () const
| Gets the bottom dimension.
wxTextAttrDimension & | GetBottom ()
bool | IsValid () const
| Are all dimensions valid?

## Public Attributes

wxTextAttrDimension | m_left
wxTextAttrDimension | m_top
wxTextAttrDimension | m_right
wxTextAttrDimension | m_bottom

## Constructor & Destructor Documentation

wxTextAttrDimensions::wxTextAttrDimensions | ( |  | ) |

inline

Default constructor.

## Member Function Documentation

bool wxTextAttrDimensions::Apply | ( | const wxTextAttrDimensions & | dims,
|  | const wxTextAttrDimensions * | compareWith = `NULL`
| ) |  |

Apply to 'this', but not if the same as compareWith.

void wxTextAttrDimensions::CollectCommonAttributes | ( | const wxTextAttrDimensions & | attr,
|  | wxTextAttrDimensions & | clashingAttr,
|  | wxTextAttrDimensions & | absentAttr
| ) |  |

Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.

bool wxTextAttrDimensions::EqPartial | ( | const wxTextAttrDimensions & | dims,
|  | bool | weakTest = `true`
| ) |  | const

Partial equality test.

If weakTest is true, attributes of this object do not have to be present if those attributes of dim sare present. If weakTest is false, the function will fail if an attribute is present in dims but not in this object.

const wxTextAttrDimension& wxTextAttrDimensions::GetBottom | ( |  | ) | const

inline

Gets the bottom dimension.

wxTextAttrDimension& wxTextAttrDimensions::GetBottom | ( |  | ) |

inline

const wxTextAttrDimension& wxTextAttrDimensions::GetLeft | ( |  | ) | const

inline

Gets the left dimension.

wxTextAttrDimension& wxTextAttrDimensions::GetLeft | ( |  | ) |

inline

const wxTextAttrDimension& wxTextAttrDimensions::GetRight | ( |  | ) | const

inline

Gets the right dimension.

wxTextAttrDimension& wxTextAttrDimensions::GetRight | ( |  | ) |

inline

const wxTextAttrDimension& wxTextAttrDimensions::GetTop | ( |  | ) | const

inline

Gets the top dimension.

wxTextAttrDimension& wxTextAttrDimensions::GetTop | ( |  | ) |

inline

bool wxTextAttrDimensions::IsValid | ( |  | ) | const

inline

Are all dimensions valid?

bool wxTextAttrDimensions::operator== | ( | const wxTextAttrDimensions & | dims | ) | const

inline

Equality operator.

bool wxTextAttrDimensions::RemoveStyle | ( | const wxTextAttrDimensions & | attr | ) |

Remove specified attributes from this object.

void wxTextAttrDimensions::Reset | ( |  | ) |

inline

Resets the value and flags for all dimensions.

## Member Data Documentation

wxTextAttrDimension wxTextAttrDimensions::m_bottom

wxTextAttrDimension wxTextAttrDimensions::m_left

wxTextAttrDimension wxTextAttrDimensions::m_right

wxTextAttrDimension wxTextAttrDimensions::m_top